| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
decode_as_s Struct Reference

`#include <decode_as.h>`

## Public Attributes
const char * | name
const char * | table_name
unsigned | num_items
unsigned | default_index_value
decode_as_value_t * | values
const char * | pre_value_str
const char * | post_value_str
decode_as_populate_list_func | populate_list
decode_as_reset_func | reset_value
decode_as_change_func | change_value
decode_as_free_func | free_func
decode_as_reset_all_func | reset_all
decode_as_build_changed_list_func | build_changed_list

## Detailed Description

Pulls everything together including the dissector (protocol) name, the "layer type" of the dissector, the dissector table name, the function pointer values as well as handlers for populating, applying and resetting the changes to the dissector table through Decode As GUI functionality. For dissector tables that are an integer or string type, the provided "default" handling functions should suffice.

## Member Data Documentation

## ◆ build_changed_list

decode_as_build_changed_list_func decode_as_s::build_changed_list

function pointer for special building of a decode as dissector list (currently only done for DCE/RPC), NULL if none

## ◆ change_value

decode_as_change_func decode_as_s::change_value

function pointer to the function used when changing value, NULL if none

## ◆ default_index_value

unsigned decode_as_s::default_index_value

Which display function to use first, set to zero if only one function

## ◆ free_func

decode_as_free_func decode_as_s::free_func

function pointer to the function used freeing the entry, NULL if none

## ◆ name

const char* decode_as_s::name

Protocol name

## ◆ num_items

unsigned decode_as_s::num_items

Number of index in the decode_as_value_t struct

## ◆ populate_list

decode_as_populate_list_func decode_as_s::populate_list

function pointer to the function used to populate the list, NULL if none

## ◆ post_value_str

const char* decode_as_s::post_value_str

String to append the value, NULL if none

## ◆ pre_value_str

const char* decode_as_s::pre_value_str

String to prepend the value, NULL if none

## ◆ reset_all

decode_as_reset_all_func decode_as_s::reset_all

function pointer to the function used remove all protocol specific bindings, NULL if none

## ◆ reset_value

decode_as_reset_func decode_as_s::reset_value

function pointer to the function used resetting the value, NULL if none

## ◆ table_name

const char* decode_as_s::table_name

Dissector table name

## ◆ values

decode_as_value_t* decode_as_s::values

The array of function pointers, see decode_as_value_t

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/decode_as.h